<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
</script>

<template>
  <v-dialog v-model="receiptStore.erDialog" persistent width="500" class="font">
    <v-card style="background-color: red">
      <v-card-title class="head"><v-icon color="white">mdi-alert</v-icon> Alert!</v-card-title>
      <v-card-text class="font">Please enter a payment type.</v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="white" variant="text" @click="receiptStore.erDialog = false"> Close </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
  color: white;
}

.head {
  margin-top: 2%;
  font-family: 'Kanit';
  font-size: 25px;
  color: white;
}
</style>
